# Uses of Enum
org.jboss.logmanager.formatters.StructuredFormatter.Key

Packages that use StructuredFormatter.Key
Package
Description
org.jboss.logmanager.formatters

## Uses of StructuredFormatter.Key in org.jboss.logmanager.formatters

Methods in org.jboss.logmanager.formatters that return StructuredFormatter.Key
Modifier and Type
Method
Description
`static StructuredFormatter.Key`
StructuredFormatter.Key.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StructuredFormatter.Key[]`
StructuredFormatter.Key.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.jboss.logmanager.formatters with parameters of type StructuredFormatter.Key
Modifier and Type
Method
Description
`protected final String`
StructuredFormatter.`getKey(StructuredFormatter.Key defaultKey)`
Checks to see if the key should be overridden.
Constructor parameters in org.jboss.logmanager.formatters with type arguments of type StructuredFormatter.Key
Modifier
Constructor
Description
``
`JsonFormatter(Map<StructuredFormatter.Key,String> keyOverrides)`
Creates a new JSON formatter.
`protected`
`StructuredFormatter(Map<StructuredFormatter.Key,String> keyOverrides)`
``
`XmlFormatter(Map<StructuredFormatter.Key,String> keyOverrides)`
Creates a new XML formatter.